Bug 80211 - [ILK/SNB Bisected]Piglit shaders_glsl-fs-copy-propagation-texcoords-1 fails
Summary: [ILK/SNB Bisected]Piglit shaders_glsl-fs-copy-propagation-texcoords-1 fails
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: high major
Assignee: Matt Turner
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-19 03:34 UTC by lu hua
Modified: 2014-07-17 05:24 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lu hua 2014-06-19 03:34:41 UTC
System Environment:
--------------------------
Platform:  Ironlake
Libdrm:		(master)libdrm-2.4.54-9-g8fc62ca8ac010659023bb63c4759eb683de4f9af
Mesa:		(master)88b887faa9209a58d29c819e01f9ad37ebc99a36
Xserver:	(master)xorg-server-1.15.99.902-121-g2f5cf9ff9a0f713b7e038636484c77f113a5f10a
Xf86_video_intel:(master)2.99.912-77-gd49f53cc00258e3b1e1a898c02e219b336716002
Libva:		(master)ce3315accf067115fbe22a13bf8689bab01da778
Libva_intel_driver:(master)745340dd013399f64507de73401ab3adb712dad5
Kernel:	(drm-intel-nightly)fff6c5111af7356d3815521f597959554e7bc1cc

Bug detailed description:
-----------------------------
It fails on Ironlake and Sandybridge with mesa master branch, It works well on 10.2 branch.
Following cases also fail with same bisect commit:
shaders_glsl-fs-texture2d-dependent-1
shaders_glsl-fs-texture2d-dependent-2
shaders_glsl-fs-texture2d-masked-4
shaders_glsl-kwin-blur-1
shaders_glsl-kwin-blur-2
spec_ARB_fragment_program_fp-indirections2

Bisect shows: 35bc02dee8402bf9090b3e21efe2832828919b4f is the first bad commit
commit 35bc02dee8402bf9090b3e21efe2832828919b4f
Author:     Matt Turner <mattst88@gmail.com>
AuthorDate: Fri Apr 11 12:26:25 2014 -0700
Commit:     Matt Turner <mattst88@gmail.com>
CommitDate: Tue Jun 17 09:40:31 2014 -0700

    i965/fs: Perform CSE on texture operations.

    Helps Unigine Tropics and some (old) gstreamer shaders in shader-db.

    instructions in affected programs:     792 -> 744 (-6.06%)

    Reviewed-by: Kenneth Graunke <kenneth@whitecape.org>

output:
Probe color at (249,0)
  Expected: 1.000000 1.000000 0.000000
  Observed: 0.000000 1.000000 0.000000
Probe color at (0,249)
  Expected: 1.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 1.000000
PIGLIT: {'result': 'fail' }

Reproduce steps:
----------------------------
1. xinit
2. bin/shader_runner tests/shaders/glsl-fs-copy-propagation-texcoords-1.shader_test -auto
Comment 1 lu hua 2014-06-19 05:28:55 UTC
spec_EXT_framebuffer_multisample_blit_scaled_blit-scaled_samples=2 and
spec_EXT_framebuffer_multisample_blit_scaled_blit-scaled_samples=4 fail on Sandybridge with same bisect commit.
Comment 2 Matt Turner 2014-07-10 18:59:08 UTC
This patch should fix it, I believe:

http://lists.freedesktop.org/archives/mesa-dev/2014-July/063124.html

Please test. :)
Comment 3 lu hua 2014-07-14 02:37:05 UTC
(In reply to comment #2)
> This patch should fix it, I believe:
> 
> http://lists.freedesktop.org/archives/mesa-dev/2014-July/063124.html
> 
> Please test. :)

Test this patch on ILK, it works well.

# bin/shader_runner tests/shaders/glsl-fs-copy-propagation-texcoords-1.shader_test -auto
PIGLIT: {"result": "pass" }
Comment 4 Matt Turner 2014-07-15 17:12:18 UTC
Thanks for testing. Committed:

http://cgit.freedesktop.org/mesa/mesa/commit/?id=1d97212007ccaea3e98ef5485faeea130776522a
Comment 5 lu hua 2014-07-17 05:24:46 UTC
Verified.Fixed.


bug/show.html.tmpl processed on Jan 22, 2017 at 22:26:07.
(provided by the Example extension).